Package org.apache.sling.scripting.sightly.impl.html.dom.template

## Class TemplateTextNode

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.html.dom.template.TemplateNode
  - - org.apache.sling.scripting.sightly.impl.html.dom.template.TemplateTextNode

    public class TemplateTextNode
    extends TemplateNode

### Constructor Summary

Constructors
`TemplateTextNode​(String t)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getText()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemplateTextNode

    public TemplateTextNode​(String t)

### Method Detail

#### getText

    public String getText()